<app-loader *ngIf="isLoading"></app-loader>
<app-navbar></app-navbar>
<div class="center">
  <mat-card class="mat-elevation-z5">
    <h3>Register</h3>
    <mat-form-field appearance="fill" style="width: 100%">
      <mat-label>Account type</mat-label>
      <mat-select (selectionChange)="hintAccount = $event.value.hint" [formControl]="registerForm.get('role')" required>
        <mat-option *ngFor="let role of roles" [value]="role.value">
          {{role.viewValue}}
        </mat-option>
      </mat-select>
      <mat-hint>{{hintAccount}}</mat-hint>
    </mat-form-field>

    <br>

    <mat-form-field class="mr5">
      <mat-label>Username</mat-label>
      <input [formControl]="registerForm.get('username')" matInput required type="text">
      <mat-error *ngIf="registerForm.get('username').invalid">
        {{getErrorMessage(registerForm.get('username'), 'username')}}
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Email</mat-label>
      <input [formControl]="registerForm.get('email')" matInput required type="text">
      <mat-error *ngIf="registerForm.get('email').invalid">
        {{getErrorMessage(registerForm.get('email'), 'email')}}
      </mat-error>
    </mat-form-field>
    <br>

    <mat-form-field class="mr5">
      <mat-label>Phone number</mat-label>
      <input [formControl]="registerForm.get('phoneNumber')" matInput type="text">
      <mat-error *ngIf="registerForm.get('phoneNumber').invalid">
        {{getErrorMessage(registerForm.get('phoneNumber'), 'phoneNumber')}}
      </mat-error>
    </mat-form-field>

    <mat-form-field>
      <mat-label>Gender</mat-label>
      <mat-select required>
        <mat-option *ngFor="let gender of genders" [value]="gender.value">
          {{gender.viewValue}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <br>

    <mat-form-field class="mr5">
      <mat-label>Password</mat-label>
      <input [formControl]="registerForm.get('password')" matInput required type="password">
      <mat-error
        *ngIf="registerForm.get('password').invalid">{{getErrorMessage(registerForm.get('password'), 'password')}}</mat-error>
    </mat-form-field>

    <mat-form-field>
      <mat-label>Confirm password</mat-label>
      <input [formControl]="confirmPassword" [type]="hide ? 'password' : 'text'" matInput required>
      <button (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide" mat-icon-button
              matSuffix>
        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
      </button>
      <mat-error
        *ngIf="confirmPassword.invalid || confirmPassword.hasError('mismatch')">{{getErrorMessage(confirmPassword, '', true)}}</mat-error>
    </mat-form-field>
    <p>
      <a mat-button routerLink="/auth/login">I already have an account</a>
    </p>
    <button (click)="registerSubmissionForm()" [disabled]="isLoading || registerForm.invalid || confirmPassword.invalid"
            mat-raised-button type="button">Subscribe
    </button>
  </mat-card>

</div>
